Bug 1300698 - Review Request: perl-Fuse - Write filesystems in Perl using FUSE
Review Request: perl-Fuse - Write filesystems in Perl using FUSE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
:
Depends On: 1303596
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-21 08:41 EST by Jitka Plesnikova
Modified: 2016-02-10 05:07 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Fuse-0.16.1-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 05:07:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2016-01-21 08:41:43 EST
Spec URL: https://jplesnik.fedorapeople.org/perl-Fuse/perl-Fuse.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Fuse/perl-Fuse-0.16.1-1.fc24.src.rpm

Description:
This lets you implement filesystems in perl, through the FUSE (Filesystem
in USErspace) kernel/lib interface.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Upstream Release Monitoring 2016-01-21 08:48:43 EST
jplesnik's scratch build of perl-Fuse-0.16.1-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12634416
Comment 2 Petr Šabata 2016-01-27 08:19:49 EST
* Missing a buildtime dependency used in the SPEC: make

* You should also depend on pkgconfig(fuse), preferrably replacing fuse-devel.

* Missing some buildtime deps needed for testing.
  - blib, via test/s/mount.t and examples/loopback.pl
  - IO::File, via examples/loopback.pl

* Consider packaging the Lchown distribution.

* Package the examples directory as documentation.

* threads and threads::shared appear to be optional dependencies.  This
  module will (most likely) work fine without them.  Maybe only `recommend'
  them?

* According to the metadata, the license tag should be simply `LGPLv2'.
  However, the README file says this project is distributed under the same
  terms as FUSE itself, which appears to be GPLv2:
  https://github.com/libfuse/libfuse/blob/master/COPYING
  Please, ask upstream what they really mean.

* Protip: Call chmod with -c.
Comment 3 Jitka Plesnikova 2016-02-02 08:09:36 EST
Updated

Spec URL: https://jplesnik.fedorapeople.org/perl-Fuse/perl-Fuse.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Fuse/perl-Fuse-0.16.1-2.fc24.src.rpm

I asked upstream about the license, but I don't get any answer yet.
Comment 4 Petr Šabata 2016-02-08 11:46:28 EST
+# LGPLv2+: Reference from metadata 
+# (GPLv2+ or LGPLv2+): same license as fuse as mention in README
+License:        LGPLv2+ and (GPLv2+ or LGPLv2+)

Eh, well, I guess this could be it until upstream responds to rt#111618.  Just drop the first `+' and the trailing whitespace on the first comment line.

The rest was addressed, too.  Approving.
Comment 5 Gwyn Ciesla 2016-02-09 12:22:22 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Fuse
Comment 6 Jitka Plesnikova 2016-02-10 05:07:07 EST
Thank you for the review and the repository.

Note You need to log in before you can comment on or make changes to this bug.